Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

Create Knowledge Base

POST/rag/knowledgebase/

Query parameters

  • project_idQueryintegerrequired

    Project ID

  • active_iamQueryintegeroptional

    Active IAM ID (To access contact person account) Find your Active IAM ID here

Request body

application/json

object
namestringrequired

Name of the knowledge base (must be unique per project)

project_idintegerrequired

Project ID the knowledge base belongs to

chunking_methodstringrequiredgeneral | qa | manual

Document chunking strategy

chunking_configurationobjectrequired

Chunking parameters (varies by chunking_method)

embedding_detailsobjectrequired

Embedding model configuration

llm_detailsobjectrequired

LLM model configuration

pagerankinteger

Priority when multiple KBs in assistant (0-100)

Responses

201Created Successfully
object
codeinteger
example201
dataobject
errorsobject
messagestring
exampleCreated Successfully